Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1796 - Why Does a upgrade blow away my non-redhat rpms ???
Summary: Why Does a upgrade blow away my non-redhat rpms ???
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-25 19:21 UTC by aap
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-15 16:15:34 UTC


Attachments (Terms of Use)

Description aap 1999-03-25 19:21:25 UTC
This is very broken,

now I have to track down all of my old rpms :(

Comment 1 Jeff Johnson 1999-03-25 20:35:59 UTC
On an upgrade, rpm only replaces packages that it thinks are
"newer". Your old rpms appeared older and consequently were
replaced. Is this the problem?

------- Email Received From  aapuch@thermo.stat.ncsu.edu 03/25/99 15:43 -------

Comment 2 Preston Brown 1999-03-29 19:43:59 UTC
bonnie isn't included in the red hat linux distribution, so I am
somewhat surprised that the installer removed it.  Unless there is a
bug in the RPM code.  Matt, Jeff, what do you make of this?  Is there
any way that this could have happened?  Is the binary still physically
there, and just the entry has been removed from the rpm database, or
did the package actually get entirely removed from your disk?

Comment 3 Matt Wilson 1999-04-01 05:13:59 UTC
*pokes drew*

What's the matter exactly?  Use whole sentences.


Note You need to log in before you can comment on or make changes to this bug.